package com.ibtp.kontor.library.dal;

import com.ibtp.kontor.library.entity.AuthorEntity;

import java.util.List;

/**
 * Created by tpeetz on 23.01.2015.
 */
interface AuthorDao {

    public AuthorEntity getById(Long id);

    public List<AuthorEntity> findByIds(List<Long> ids);

    public List<AuthorEntity> findByName(String name);

    public List<AuthorEntity> findAll();

    public AuthorEntity addAuthor(String name);

    public AuthorEntity store(AuthorEntity entity);

    public void delete(AuthorEntity entity);
}
